Bug 1251947 - xvnc with sddm don't work
xvnc with sddm don't work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Grulich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 07:52 EDT by Harald Reindl
Modified: 2016-01-12 02:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 02:56:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2015-08-10 07:52:19 EDT
well, you can connect, see the display 0 login screen from SDDM but no mouse or keyboard action works - how is that possible at all because sddm is as well as kdm just a displaymanager *on top* of X11

to some degree it does not bother me who (tigervnc oder sddm) is resposible for that, the sddm maintainers don't care about bugreports at all (https://bugzilla.redhat.com/show_bug.cgi?id=1214786)

[root@srv-rhsoft:~]$ cat /etc/X11/xorg.conf.d/02-vnc.conf
Section "Module"
 Load       "vnc"
EndSection

Section "Screen"
 Identifier   "Screen0"
 DefaultDepth 16
 Option       "SecurityTypes" "VncAuth"
 Option       "passwordFile" "/root/.vnc/passwd"
EndSection
Comment 1 Fedora Admin XMLRPC Client 2015-08-20 04:44:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2015-11-04 05:45:09 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Harald Reindl 2015-12-27 05:36:32 EST
WTF - 4 months without any reaction?
Comment 4 Jan Grulich 2015-12-28 07:54:22 EST
I'm sorry, I didn't have time to check this yet. If you want to get answer/solution as soon as possible then the easiest way is to report your problem to upstream, because we (Fedora packagers) are sometimes just packagers and not upstream contributors.
Comment 5 Jan Grulich 2016-01-11 09:19:02 EST
I just tested it and it works perfectly for me, including mouse and keyboard.
Comment 6 Harald Reindl 2016-01-11 09:24:01 EST
in the meantime it seems to work *somehow* but far away from perfectly

enter a key - 3 secods after it appears in the username
maybe i just did not wait long enough and switched back to "kdm" which works in neraly realtime since the homeserver has a 250/25 Mbit line

Note You need to log in before you can comment on or make changes to this bug.